Module java.base
Package java.security.interfaces

## Interface RSAPrivateCrtKey

All Superinterfaces:
  `Destroyable`, `Key`, `PrivateKey`, `RSAKey`, `RSAPrivateKey`, `Serializable`

    public interface RSAPrivateCrtKey
    extends RSAPrivateKey

The interface to an RSA private key, as defined in the PKCS#1 v2.2 standard, using the Chinese Remainder Theorem (CRT) information values.

Since:
  1.2
See Also:
  `RSAPrivateKey`

### Field Summary

Fields
`static long` `serialVersionUID` The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

### Method Summary

All Methods Instance Methods Abstract Methods
`BigInteger` `getCrtCoefficient()` Returns the crtCoefficient.
`BigInteger` `getPrimeExponentP()` Returns the primeExponentP.
`BigInteger` `getPrimeExponentQ()` Returns the primeExponentQ.
`BigInteger` `getPrimeP()` Returns the primeP.
`BigInteger` `getPrimeQ()` Returns the primeQ.
`BigInteger` `getPublicExponent()` Returns the public exponent.

### Methods declared in interface javax.security.auth.Destroyable

`destroy, isDestroyed`

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Methods declared in interface java.security.interfaces.RSAKey

`getModulus, getParams`

### Methods declared in interface java.security.interfaces.RSAPrivateKey

`getPrivateExponent`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

See Also:
  Constant Field Values

### Method Detail

#### getPublicExponent

    BigInteger getPublicExponent()

Returns the public exponent.

Returns:
  the public exponent

#### getPrimeP

    BigInteger getPrimeP()

Returns the primeP.

Returns:
  the primeP

#### getPrimeQ

    BigInteger getPrimeQ()

Returns the primeQ.

Returns:
  the primeQ

#### getPrimeExponentP

    BigInteger getPrimeExponentP()

Returns the primeExponentP.

Returns:
  the primeExponentP

#### getPrimeExponentQ

    BigInteger getPrimeExponentQ()

Returns the primeExponentQ.

Returns:
  the primeExponentQ

#### getCrtCoefficient

    BigInteger getCrtCoefficient()

Returns the crtCoefficient.

Returns:
  the crtCoefficient